// addtrans.cpp : implementation file
//

#include "stdafx.h"
#include <afxdb.h>
#include "addtrans.h"
#include "const.hxx"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAddTrans

IMPLEMENT_DYNAMIC(CAddTrans, CRecordset)

CAddTrans::CAddTrans(CDatabase* pdb)
	: CRecordset(pdb)
{
	//{{AFX_FIELD_INIT(CAddTrans)
	m_StatusUserID = 0;
	m_CustomerID = 0;
	m_SQL = "";
	m_nFields = 4;
	//}}AFX_FIELD_INIT
}


CString CAddTrans::GetDefaultConnect()
{
	return "ODBC;";
}

CString CAddTrans::GetDefaultSQL()
{
	return "dbx_user_transactions";
}

void CAddTrans::DoFieldExchange(CFieldExchange* pFX)
{
	//{{AFX_FIELD_MAP(CAddTrans)
	pFX->SetFieldType(CFieldExchange::outputColumn);
	RFX_Date(pFX, "EventDate", m_EventDate);
	RFX_Long(pFX, "StatusUserID", m_StatusUserID);
	RFX_Long(pFX, "CustomerID", m_CustomerID);
	RFX_Text(pFX, "SQL", m_SQL, 8128);					// never more than 8K
	//}}AFX_FIELD_MAP
}
