#ifndef _UTIL_H_ 
#define _UTIL_H_ 
#include "stdafx.h"

//DO NOT LOCALIZE ////////////////////////////////////////////////////////////////////////////////////////
static const char BASED_CODE SZ_GENERAL_DATE[] = "General Date";
static const char BASED_CODE SZ_SHORT_DATE[] = "Short Date";
static const char BASED_CODE SZ_SQL_DATE[] = "SQL Date";
static const char BASED_CODE SZ_SQL_TIMESTAMP[] = "SQL Timestamp";
////////////////////////////////////////////////////////////////////////////////////////

void ReplaceStr(CString& strText, LPCSTR szSearch, LPCSTR szReplace);
BOOL FileExists (LPCSTR lpcstrPathName);
void StripQuotes(LPSTR st, char cDelim);
void RemoveQuotes(LPSTR lpsz);
void QuoteWrap(LPSTR st, char cDelim);
void trim_space(LPSTR sz);
int StringToStringArray(LPCSTR lpsz, CStringArray* pstrArray, char cListSep);
int DoubleToString(double dData, LPSTR szBuf, int cchMax);
LPCSTR FormatCTime(CTime *pTime, LPCSTR lpcstrFormat = "General Date");
BOOL StringToCTime(LPCSTR lpsz, CTime* pTime);
void GetIntlSettings(BOOL bReRead = FALSE);

#endif //_UTIL_H_ 

