// statdlg.cpp : implementation file
//

#include "stdafx.h"
#include "resource.h"
#include "statdlg.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif


/////////////////////////////////////////////////////////////////////////////
// CStatusDlg dialog


CStatusDlg::CStatusDlg(CWnd* pParent /*=NULL*/, int nID /*= IDD*/)
	: CDialog(nID, pParent)
{
	Create(nID, pParent);      // modeless !
	m_bUserAbort = FALSE;
}

void CStatusDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CStatusDlg)
	DDX_Control(pDX, IDC_STATUS2, m_Status2);
	DDX_Control(pDX, IDC_STATUS1, m_Status1);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CStatusDlg, CDialog)
	//{{AFX_MSG_MAP(CStatusDlg)	
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// CStatusDlg message handlers

BOOL CStatusDlg::OnInitDialog()
{
	CDialog::OnInitDialog();
	
	CenterWindow();
	CRect rc;
	
	//move the dialog down and to the right
	GetWindowRect(&rc);
	rc.OffsetRect(110, 110);
	MoveWindow(&rc, TRUE);
	
	ShowWindow(SW_SHOW);
	
	return TRUE;
}

void CStatusDlg::OnCancel()
{
	m_bUserAbort = TRUE;		
}

void CStatusDlg::SetStatusMessage(LPCSTR lpcstrMsg1, LPCSTR lpcstrMsg2)
{
	m_Status1.SetWindowText(lpcstrMsg1);
	m_Status2.SetWindowText(lpcstrMsg2);
}